package main

import (
	"caj-larsson/bog/server"
	"io/ioutil"
	"fmt"
)

func main() {
	content, err := ioutil.ReadFile("default.toml")

	if err != nil {
	 	panic(err)
	}

	config, err := server.ConfigFromToml(string(content))
	if err != nil {
		panic(err)
	}

	fmt.Printf("Dataswamp running")

	bog := server.New(config)
	bog.Run()
}
